Subject: Re: [PATCH] net: Fix new EMAC driver for NAPI changes

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 17 Oct 2007 11:46:54 +1000

On Tue, 2007-10-16 at 21:16 -0400, Jeff Garzik wrote:
> Benjamin Herrenschmidt wrote:
> > net: Fix new EMAC driver for NAPI changes
> > 
> > This fixes the new EMAC driver for the NAPI updates. The previous patch
> > by Roland Dreier (already applied) to do that doesn't actually work. This
> > applies on top of it makes it work on my test Ebony machine.
> > 
> > This patch depends on "net: Add __napi_sycnhronize() to sync with napi poll"
> > posted previously.
> > 
> > Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> > ---
> > 
> > The old EMAC driver does things a bit differently (doesn't do useful
> > locking :-) and seems to work with Roland patch. So I'm not going to
> > touch it unless somebody reports me that it has problems
> 
> applied

Beware that the depend patch for __napi_synchronize() is still being
discussed :-)

Cheers,
Ben.